﻿package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	import flash.utils.Timer;
	
	/**
	 * ...
	 * @author ...
	 */
	public class Main extends Sprite 
	{
		static public const FRAME_RATE:uint = 60; //[fps]
		static public const PANEL_SIZE:Point = new Point(1024, 768);
		
		static public var rootContainer:Sprite;
		static public var stimuliStage:StimuliStage;
		static public var controlPanel:ControlPanel;
		
		

		static public var timer:Timer;
		
		public function Main():void 
		{
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init);
		}
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			// entry point
			
			timer = new Timer(60);
			rootContainer = this;
			controlPanel = new ControlPanel(new Rectangle(0, 0, PANEL_SIZE.x - PANEL_SIZE.y, PANEL_SIZE.y));
			controlPanel.init();

			stimuliStage = new StimuliStage(new Rectangle(PANEL_SIZE.x - PANEL_SIZE.y, 0, PANEL_SIZE.y, PANEL_SIZE.y));

		}
		
		
		
		/*
		private function drawSeparateLine():void {
			graphics.lineStyle(3, 0x000000);
			graphics.moveTo(PANEL_SIZE.x - PANEL_SIZE.y, 0);
			graphics.lineTo(PANEL_SIZE.x - PANEL_SIZE.y, PANEL_SIZE.y);
		}
		*/
		
	}
	
}

