﻿package  
{
	import fl.controls.ComboBox;
	import flash.events.Event;
	import flash.geom.Point;
	
	/**
	 * ...
	 * @author ...
	 */
	public class MyComboBox extends ComboBox
	{
		static private var size:Point = new Point(120, 20);
		
		public function MyComboBox(px:uint, row:uint, func:Function, label:String) 
		{
			setSize(size.x, size.y);
			move(px, ControlPanel.rowToPixel(row));
			prompt = label;

			addEventListener(Event.CHANGE, func);	
		}
		
		internal function setEnable(e:Boolean):void {
			enabled = e;
		}
		
		internal function setVisible(e:Boolean):void {
			if (e)
				Main.controlPanel.addChild(this);
			else
				Main.controlPanel.removeChild(this);
		}
		
		internal function reset():void {
			selectedIndex = -1;
		}

				
		
		internal function add(label:String):void {
			
			var item:Object = new Object();
			item.label = label;
			addItem(item);
		}
		

		internal function remove():void {

			removeItem(selectedItem);			
			reset();

		}		
	}	
}

