﻿package  
{
	import fl.controls.ColorPicker;
	import fl.controls.Label;
	import fl.controls.TextInput;
	import fl.events.ColorPickerEvent;
	import flash.display.Loader;
	import flash.events.Event;
	import flash.events.IOErrorEvent;
	import flash.events.TextEvent;
	import flash.net.URLRequest;
	
	/**
	 * ...
	 * @author ...
	 */
	public class MyImage extends Stimulus
	{
		
		private var red:ParameterControl;
		private var green:ParameterControl;
		private var blue:ParameterControl;
		
		private var img:Loader;

		private function paramCopy():void {
			
			positionX = paramList[0];
			positionY = paramList[1];
			alphaControl = paramList[2];
			rotControl = paramList[3];
			scaleXControl = paramList[4];
			scaleYControl = paramList[5];
		}
		
		public function MyImage(name:String, img:Loader, cpy:Boolean = false) 
		{
			paramList = new Array();
			paramComboBox = new MyComboBox(10, 4, onParamFocus, name + "'s parameter");
			
			super(name, cpy);			

			if(!cpy)
				repaint();

			this.img = img;
			addChild(img);
				
		}
				
		override internal function clone(i:String):void {
			
			var cpy:MyImage = new MyImage(instanceName + i, img, true);
			
			for each(var v:ParameterControl in paramList) {
				cpy.paramList.push(v.clone(cpy));
			}

			cpy.paramCopy();
			Main.controlPanel.instanceBox.add(cpy.instanceName);
			
			cpy.repaint();
		}
				
		override internal function repaint():void {
			
			step();
			
		}

		static internal function load(url:String):Loader {
						

			var img:Loader = new Loader();
			img.addEventListener(IOErrorEvent.IO_ERROR, onIOError); 
			var p:URLRequest = new URLRequest(url);
			img.load(p);
			
			return img;
		}

        static private function onIOError(event:IOErrorEvent):void {
            trace("image file missing");
        }
		
	}	
}
		
