﻿package
{
	import fl.controls.Label;
	import fl.controls.TextInput;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Point;
	
	/**
	 * ...
	 * @author ...
	 */
	public class NameControl
	{		
		
		static private var height:uint = 20;
		static private var width:uint = 180;
		static private var position:Point = new Point(5, 70);
		static private var text:String = "name: ";
		
		private var label:Label;
		private var textField:TextInput;				
		
		public function NameControl() 
		{
			generate();
			move();
		}

		internal function setEnable(e:Boolean):void {
			textField.enabled = e;
			label.enabled = e;
		}
		
		internal function remove():void {
			textField.text = "";
			Main.controlPanel.removeChild(label);
			Main.controlPanel.removeChild(textField);
			
		}
		
		internal function getName():String {
			return textField.text;
		}
		
		internal function add():void {
			
			Main.controlPanel.addChild(label);
			Main.controlPanel.addChild(textField);
		}
		
		internal function isValidText():Boolean {

			if (textField.text == "") {
				MyPrompt.write("enter the name");
				return false;
			}
			else if(isUniqueName()) {
				MyPrompt.write("the name " + textField.text + " already exist");
				return false;
			}
			else
				return true;				
		}
		
		private function isUniqueName():Boolean {
			
			if (Main.stimuliStage.getChildByName(textField.text) == null)
				return false;
					
			return true;
		}

		
		private function generate():void {
						
			label = new Label();
			label.text = text;
			label.width = label.text.length * 6;
			label.height = height;
			
			textField = new TextInput();			
			textField.x = label.width;
			textField.width = width;
			textField.height = height;
			
		}				
		
		
		private function move():void {
			label.x = position.x;
			label.y = position.y;
			
			textField.y = position.y;
			textField.x = position.x + label.width;
		}
	}	
}
