﻿package  
{
	import flash.events.Event;
	import flash.utils.ByteArray;
	
	/**
	 * ...
	 * @author ...
	 */
	public class StimulusCopy 
	{
		private var copyButton:MyButton;
		private var copyNum:ParameterControl;
		
		public function StimulusCopy() 
		{
			copyButton = new MyButton("COPY", 10, 24, checkAndCopy);
			copyNum = new ParameterControl(7, "N ", 1, 1, Number.POSITIVE_INFINITY, null);
			copyNum.setSize(30);
			copyNum.move(20, ControlPanel.rowToPixel(23));
			
			setEnable(true);
			
		}
		
		internal function init():void {
			copyNum.add();
			Main.controlPanel.addChild(copyButton);
		}
		
		internal function setEnable(e:Boolean):void {
			copyButton.enabled = e;
			copyNum.setEnable(e);
		}
		
		private function checkAndCopy(event:Event):void {
			if (copyNum.syntaxErrorCheckLight()) {
				MyPrompt.write("irregular input on copy num");
			}
			else if (Main.controlPanel.focusedObject == null) {
				MyPrompt.write("select a stimulus entity");				
			}
			else
				copy(Main.controlPanel.focusedObject, Math.round(copyNum.value()));
		}
		
		private function copy(src:Stimulus, num:uint):void {
			
			if (num < 1) {
				MyPrompt.write("N should be greater than zero");
				return;
			}
			
			num ++;
			for (var i:uint = 1; i < num; i++ )
					src.clone(i.toString());
			
			num --;
			MyPrompt.write("added " + num.toString() + " " + src.instanceName + " 's copy");
			
			repaint();
			
		}		

		private function repaint():void {
			
			for (var i:uint = 1; i < Main.stimuliStage.numChildren; i++ ) {
				var v:Stimulus = Main.stimuliStage.getChildAt(i) as Stimulus;
				v.repaint();
			}
		}

	}	
}
