﻿package  
{
	import flash.events.Event;
	
	/**
	 * ...
	 * @author ...
	 */
	public class GlobalVariables
	{
		static private const CHARACTER:String = "abcdfgijklmnopqrsuvxyz";
		
		private var variableBox:MyComboBox;
		static internal var variable:Array;
		
		private var currentVariable:ParameterControl;
		
		public function GlobalVariables() 
		{
			variable = new Array();
			variableBox = new MyComboBox(10, 17, onSelectVariable, "global variable");
			variableBox.rowCount = 21;
			
			for (var i:uint = 0; i < CHARACTER.length; i ++) {
				variable.push(new ParameterControl(18, CHARACTER.charAt(i), 0, Number.NEGATIVE_INFINITY, Number.POSITIVE_INFINITY, null));
				variableBox.add(CHARACTER.charAt(i));
			}						
			
			variableBox.addEventListener(Event.CHANGE, onClose);
			
		}

		private function onClose(event:Event):void {

				variableBox.reset();			
		}
		
		internal function add():void {
			Main.controlPanel.addChild(variableBox);
		}
		
		private function onSelectVariable(event:Event):void {
			
			if (currentVariable != null)
				currentVariable.remove();
				
			currentVariable = variable[variableBox.selectedIndex];
			currentVariable.add();			
			
		}
		
		internal function syntaxErrorCheck():Boolean {
			
			for each(var v:ParameterControl in variable)
				if (v.syntaxErrorCheckLight()) {
					MyPrompt.write(currentVariable.label.text.substr(0, currentVariable.label.text.length - 2) + " contains syntax error");
					return true;
				}
			
			return false;					
		}
		
		static internal function value(sVariable:String):Number {

			var v:ParameterControl = variable[CHARACTER.indexOf(sVariable)] as ParameterControl;

			return v.value();
		}
		
	}	
}
