﻿package  
{
	import fl.controls.ColorPicker;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	
	/**
	 * ...
	 * @author ...
	 */
	public class MyStage extends Sprite
	{
		public var rectangle:Rectangle;
		private var color:ColorPicker;
		
		static private var size:Point = new Point(20, 20);
		
		public function MyStage(col:uint, rect:Rectangle) 
		{
			
			x = rect.x;
			y = 0;
			rectangle = new Rectangle(0, 0, rect.width, rect.height);
			
			setColorPicker(col);
			
			graphics.beginFill(col);
			graphics.drawRect(0, 0, rectangle.width, rectangle.height);
			graphics.endFill();

			Main.rootContainer.addChild(this);
			
		}
		
		private function setColorPicker(col:uint):void {
			color = new ColorPicker();
			color.selectedColor = col;
			color.setSize(size.x, size.y);
			color.addEventListener(Event.CHANGE, resetBackGround);
			
			addChild(color);
		}
		
		private function resetBackGround(event:Event):void {
			graphics.clear();
			graphics.beginFill(color.selectedColor);
			graphics.drawRect(0, 0, rectangle.width, rectangle.height);
			graphics.endFill();
			
		}
		
	}
	
}
